<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>

  <!-- TOP BACKGROUND -->
  <div class="top-bg" [ngClass]="secondColorBrand"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

        <div class="white-fg" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center"
        style="padding-top: 20px;">
  
        <!-- APP TITLE -->
        <div class="logo my-6 m-sm-0" fxLayout="row" fxLayoutAlign="start center">
          <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">receipt</mat-icon>
          <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Cotações</span>
        </div>
        <div class="search-input-wrapper mx-6  m-md-0" fxFlex="1 0 auto" fxLayout="row" fxFlex="20" fxLayoutAlign="start center"></div>
  
        <!-- SEARCH -->
        <div class="search-input-wrapper mx-6  m-md-0" fxFlex="1 0 auto" fxLayout="row" fxFlex="40" fxLayoutAlign="start center">
                 
            <label for="search" class="mr-8">
                <mat-icon class="secondary-text">search</mat-icon>
            </label>
            <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                <input id="search" matInput (keyup)='searchOnChange($event)' placeholder="Pesquisar por Cotação, CPF/CNPJ">
            </mat-form-field>
               
        </div>
        <!-- /SEARCH -->
        <div class="search-input-wrapper mx-6  m-md-0" fxFlex="1 0 auto" fxLayout="row" fxFlex="40" fxLayoutAlign="end center">
                <button type="button" 
                mat-raised-button color="primary"  
                [ngClass]="primaryColorBrand"  
                mat-button 
                [routerLink]="'new'">
                NOVA COTAÇÃO
        </button>
        </div>
  
  
      </div>

      <div class="white-fg" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-xs="row" style="padding-bottom: 5px;"
      fxLayoutAlign.gt-xs="space-between center">

      <div class="search-input-wrapper mx-6 m-md-0" fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">

          

            <div fxFlex="20" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="!isBroker">

                    <mat-form-field fxFlex="100">
                        <mat-select placeholder="Marca"  (selectionChange)="brandOnSelected($event)">
                            <mat-option *ngFor="let brand of brandList" [value]="brand.id">
                            {{ brand.name }}
                            </mat-option>
                        </mat-select>
                    </mat-form-field> 

            </div>
            <div fxFlex="2" fxLayoutAlign="start center" fxLayoutGap="10px"></div>
            <div fxFlex="20" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="100">
                        <mat-select placeholder="Corretor"  (selectionChange)="brokerOnSelected($event)">
                            <mat-option *ngFor="let broker of brokerList" [value]="broker.id">
                            {{ broker.name }}
                            </mat-option>
                        </mat-select>
                    </mat-form-field> 

            </div>
            <div fxFlex="2" fxLayoutAlign="start center" fxLayoutGap="10px"></div>
            <div fxFlex="20" fxLayoutAlign="start center" fxLayoutGap="10px">
                <mat-form-field fxFlex="100">
                    <mat-select placeholder="Status" name="statusSelected" [(ngModel)]="statusSelected" (selectionChange)="onListValueChanged()">
                            <mat-option value="QUOTATION">Cotação</mat-option>
                            <mat-option value="CANCELLED">Cancelado</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div fxFlex="58" fxLayoutAlign="start center" fxLayoutGap="10px"></div>
           

      </div>
    </div>

      <!-- CONTENT CARD -->
      <div class="content-card mat-white-bg">

          <mat-table  class="products-table"
              #table [dataSource]="dataSource"
              [@animateStagger]="{value:'50'}"
              fusePerfectScrollbar
              matSort matSortActive="id" matSortDirection="asc" matSortDisableClear>
              
              <ng-container cdkColumnDef="id">
                  <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">#Cotação</mat-header-cell>
                  <mat-cell *cdkCellDef="let element">
                      <p class="text-truncate">{{element.id}}</p>
                  </mat-cell>
              </ng-container>

              <ng-container cdkColumnDef="vehicle.model">
                    <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Veículo</mat-header-cell>
                    <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">{{element.vehicle.modelName ? element.vehicle.modelName : element.vehicle.fipeCode}}</p>
                    </mat-cell>
                </ng-container>

              <ng-container cdkColumnDef="cpfCnpj">
                  <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">CPF/CNPJ</mat-header-cell>
                  <mat-cell *cdkCellDef="let element">
                      <p class="text-truncate">{{element.customer.registrationNumber}}</p>
                  </mat-cell>
              </ng-container>        

              <ng-container cdkColumnDef="createdDate">
                  <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Data</mat-header-cell>
                  <mat-cell *cdkCellDef="let element">
                      <p class="text-truncate">{{element.lifecycle.lastUpdate | date : 'dd/MM/yyyy HH:mm'}}</p>
                  </mat-cell>
              </ng-container>

              <ng-container cdkColumnDef="status">
                <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Status</mat-header-cell>
                <mat-cell *cdkCellDef="let element">
                    <p class="text-truncate">{{quoteStatusAsString(element.status)}}</p>
                </mat-cell>
              </ng-container>              

              <mat-header-row *cdkHeaderRowDef="displayedColumns" [ngClass]="primaryColorBrand"  ></mat-header-row>

              <mat-row *cdkRowDef="let row; columns: displayedColumns;" 
                      matRipple
                      (click)="edit(row)">
              </mat-row>
      </mat-table>

      <mat-paginator 
          [length]="resultLength" 
          [pageSize]="10" 
          [pageSizeOptions]="[10, 25, 50]"></mat-paginator>

    </div>
    <!-- / CONTENT CARD -->
</div>
<!-- / CENTER -->
</div>
          
